## com.saxonica.fsa
Class DeterminizedState

    java.lang.Object
      com.saxonica.fsa.AutomatonState
          com.saxonica.fsa.DeterminizedState

    public class DeterminizedState

extends AutomatonState

A state in a determinized finite state machine

Field Summary

Fields inherited from class com.saxonica.fsa.AutomatonState
`EMPTY_EDGE_ARRAY`

Constructor Summary
`DeterminizedState(FiniteStateMachine machine)` Create a new state

Method Summary
`IntSet` `getProvenance()` Get the provenance of a state in a determinized finite state machine.
`void` `setProvenance(IntSet provenance)` Set the provenance of a state in a determinized finite state machine.

Methods inherited from class com.saxonica.fsa.AutomatonState
`addWildcardTransition, display, displayLambdaTransitions, displayState, getEdges, getSpecificTransition, getTransition, getWildcardEdges, isFinalState, listAllowedElements, setFinalState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeterminizedState

    public DeterminizedState(FiniteStateMachine machine)

  Create a new state

  Parameters:
    `machine` -

Method Detail

### setProvenance

    public void setProvenance(IntSet provenance)

  Set the provenance of a state in a determinized finite state machine. This is the set of corresponding states in the non-determinized FSA

### getProvenance

    public IntSet getProvenance()

  Get the provenance of a state in a determinized finite state machine. This is the set of corresponding states in the non-determinized FSA

Copyright (C) Michael H. Kay. All rights reserved.